get
https://api.picussecurity.com/v1/agents/
Agent Detail; Agent Name, Agent Status, Agent Type, Agent Created Time, Agent Platform,
Agent Mitigation Devices, Agent Execution Users, Agent Custom Attacker and
Agent Attack Modules with their enabled state and configuration
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
About
Agent Detail endpoint returns agent name, status, agent type, platform and also mitigation devices and attack modules using the agent ID.
Example
curl --request GET \
--url https://api.picussecurity.com/v1/agents/793 \
--header 'Accept: application/json' \
--header 'Authorization: Bearer access_token'{
"name": "My Agent",
"id": 1,
"status": "dead",
"type": "Windows",
"version": "4.0.2.2",
"created_at": 1633518567926,
"platform_name": "Windows 10",
"platform_architecture": "64-bit",
"ip": "1.1.1.1",
"nat_ip": "1.1.1.2",
"is_update_needed": true,
"attack_modules": [
{
"name": "File Download",
"id": 1,
"enabled": true
},
{
"name": "Endpoint Scenario",
"id": 2,
"enabled": true
},
{
"name": "Web Application",
"id": 3,
"enabled": true
},
{
"name": "Email",
"id": 4,
"enabled": false
},
{
"name": "Data Exfiltration",
"id": 5,
"enabled": true
}
]
}